Skip to main content
`Ctrl`+`K`

# DMPolytopeInCellTest

Check whether a point lies inside the reference cell of given type

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMPolytopeInCellTest(DMPolytopeType ct, const PetscReal point[], PetscBool *inside)

Not Collective

## Input Parameters

- ct - The `DMPolytopeType`

- point - Coordinates of the point

## Output Parameter

- inside - Flag indicating whether the point is inside the reference cell of given type

## See Also

DM Basics, `DM`, `DMPolytopeType`, `DMLocatePoints()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages